From 3a05938eab4cccecce58a38618e9623c4251a1bd Mon Sep 17 00:00:00 2001
From: Michal Kalderon <michal.kalderon@marvell.com>
Date: Wed, 21 Aug 2019 13:26:43 +0300
Subject: [PATCH] Fix bad page state output when run with efa driver

---
 drivers/infiniband/core/ib_core_uverbs.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/drivers/infiniband/core/ib_core_uverbs.c b/drivers/infiniband/core/ib_core_uverbs.c
index cce20172cd71..30b36b7c330c 100644
--- a/drivers/infiniband/core/ib_core_uverbs.c
+++ b/drivers/infiniband/core/ib_core_uverbs.c
@@ -222,9 +222,10 @@ void rdma_user_mmap_entry_free(struct kref *kref)
 			  entry->obj, rdma_user_mmap_get_key(entry),
 			  entry->address, entry->length, npages);
 
-		if (ucontext->device->ops.mmap_free)
-			ucontext->device->ops.mmap_free(entry);
 	}
+	if (ucontext->device->ops.mmap_free)
+		ucontext->device->ops.mmap_free(entry);
+
 	kfree(entry);
 }
 
-- 
2.14.5

